﻿using Announcements.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Announcements.Contracts
{
    public interface IBlockingLogic
    {
        List<IBlocking>? ReadList();
        IBlocking? ReadElement(int id);
        bool CreateBlocking(IBlocking model);
        bool DeleteBlocking(IBlocking model);
        bool UpdateBlocking(IBlocking model);
    }
}
