﻿using Announcements.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Announcements.Contracts
{
    public interface IReviewLogic
    {
        List<IReview>? ReadList();
        bool CreateReview(IReview model);
        bool DeleteReview(IReview model);
        bool BlockingReview(IReview model);
        bool UpdateReview(IReview model);
        IReview? ReadElement(int id);
    }
}
