﻿using Announcements.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Announcements.Contracts
{
    public interface IUserLogic
    {
        List<IUser>? ReadList();
        IUser? ReadElement(int id);
        bool CreateUser(IUser model);
        bool DeleteUser(IUser model);
        bool BlockingUser(IUser model);
        bool UpdateUser (IUser model);
    }
}
