﻿using Announcements.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Announcements.Database.Models
{
    public class Announcement : IAnnouncement
    {
        public int id {get;   set;}

        public string text { get;   set; }

        public DateTime createDate { get;   set; }

        public DateTime changeDate { get;   set; }

        public int complaints { get;   set; }

        public bool isClose { get;   set; }

        public ICategory categoryId { get;   set; }

        public IUser authorId { get;   set; }

        public IBlocking blockingId { get;   set; }
    }
}
