﻿using Announcements.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Announcements.Contracts
{
    public interface IAnnouncementLogic
    {
        List<IAnnouncement>? ReadList();
        IAnnouncement? ReadElement(int id);
        bool CreateAnnouncement(IAnnouncement model);
        bool DeleteAnnouncement(IAnnouncement model);
        bool BlockingAnnouncement(IAnnouncement model);
        bool UpdateAnnouncement(IAnnouncement model);
    }
}
