﻿using Announcements.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Announcements.Contracts
{
    public interface ICategoryLogic
    {
        List<ICategory>? ReadList();
        ICategory? ReadElement(int id);
        bool CreateCategory(ICategory model);
        bool DeleteCategory(ICategory model);
        bool UpdateCategory(ICategory model);
    }
}
