﻿using Announcements.Contracts;
using Announcements.Database.Models;
using Announcements.Models;
using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Announcements.Database.Implements
{
    public class CategoryLogic : ICategoryLogic
    {
        public bool CreateCategory(ICategory model)
        {
            using (var _db = new DataBaseContext())
            {
                try
                {
                    _db.Database.ExecuteSqlRaw(@$"INSERT INTO public.category" +
                        @$"(name)" +
                        @$"VALUES ('{model.name}');", new object[] { });
                    return true;
                }
                catch (Exception ex)
                {
                    return false;
                }
            }
        }

        public bool DeleteCategory(ICategory model)
        {
            using (var _db = new DataBaseContext())
            {
                try
                {
                    _db.Database.ExecuteSqlRaw(@$"DELETE FROM public.category " +
                       @$" WHERE id = {model.id}; ", new object[] { });
                    return true;
                }
                catch (Exception ex)
                {
                    return false;
                }
            }
        }

        public ICategory? ReadElement(int id)
        {
            using (var _db = new DataBaseContext())
            {
                using (var command = _db.Database.GetDbConnection().CreateCommand())
                {
                    command.CommandText = $"SELECT * FROM public.category WHERE id = {id}";
                    command.CommandType = CommandType.Text;

                    _db.Database.OpenConnection();

                    using (var result = command.ExecuteReader())
                    {
                        Category category = new Category();

                        while (result.Read())
                        {
                            category = new Category
                            {
                                id = Convert.ToInt32(result["id"]),
                                name = result["name"].ToString()
                            };
                        }

                        return category;
                    }
                }
            }
        }

        public List<ICategory>? ReadList()
        {
            using (var _db = new DataBaseContext())
            {
                using (var command = _db.Database.GetDbConnection().CreateCommand())
                {
                    command.CommandText = "SELECT * FROM public.category";
                    command.CommandType = CommandType.Text;

                    _db.Database.OpenConnection();

                    using (var result = command.ExecuteReader())
                    {
                        var entities = new List<ICategory>();

                        while (result.Read())
                        {
                            entities.Add(new Category
                            {
                                id = Convert.ToInt32(result["id"]),
                                name = result["name"].ToString()
                            });
                        }

                        return entities;
                    }
                }
            }
        }

        public bool UpdateCategory(ICategory model)
        {
            using (var _db = new DataBaseContext())
            {
                try
                {
                    _db.Database.ExecuteSqlRaw(@$"UPDATE public.category " +
                        @$"SET name = {model.name} "+
                        @$"WHERE id = {model.id}", new object[] { });
                    return true;
                }
                catch (Exception ex)
                {
                    return false;
                }
            }
        }
    }
}
