﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Announcements.Models
{
	public interface IAnnouncement
	{
		int id { get; }
		string text { get; }
		DateTime createDate { get; }
		DateTime changeDate { get; }
		int complaints { get; }
		bool isClose { get; }
		ICategory categoryId { get; }
		IUser authorId { get; }
		IBlocking blockingId { get; }
    }
}
